> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete secret

> Delete a secret by its unique identifier



## OpenAPI

````yaml api-reference/openapi.json delete /api/secret/v1/{secret_id}
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/secret/v1/{secret_id}:
    delete:
      tags:
        - secret
        - v1
      summary: Delete secret
      description: Delete a secret by its unique identifier
      operationId: delete-secret
      parameters:
        - name: secret_id
          in: path
          description: Secret ID
          required: true
          schema:
            $ref: '#/components/schemas/WrappedUuidV4'
      responses:
        '200':
          description: Delete secret
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteSecretResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WrappedUuidV4:
      type: string
      format: uuid
    DeleteSecretResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string

````